﻿using Syncfusion.OfficeChart;
using Syncfusion.Presentation;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Drawing.Imaging;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading;
using System.Windows.Forms;


namespace WindowsFormsSample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        private void button1_Click(object sender, EventArgs e)
        {
            //Opens a Presentation
            IPresentation presentation = Presentation.Open(@"..\..\Data\Chart.pptx");

            //Gets the first slide
            ISlide slide = presentation.Slides[0];

            //Gets the chart in slide
            IPresentationChart chart = slide.Charts[0];

            //Iterate each series in the chart
            for (int i = 0; i < chart.Series.Count; i++)
            {
                //Get or set a value indicates whether to display a chart data label values
                chart.Series[i].DataPoints.DefaultDataPoint.DataLabels.IsValue = false;
            }

            presentation.Save(@"..\..\Data\Output.pptx");

            System.Diagnostics.Process.Start("Output.pptx");

        }
    }
}
